#pragma once
#include <map>
struct M_GrowthFundData
{
	//ID
	int mID;
	//类型
	int mFundType;
	//等级
	int mLevel;
	//奖励物品ID
	std::vector<int> mItemId;
	//礼包ID
	int mGiftId;
};

class M_GrowthFund
{
public:
private:
	static std::auto_ptr<M_GrowthFund> msSingleton;
public:
	int GetCount();
	const M_GrowthFundData* GetData(int ID);
	const std::map<int, M_GrowthFundData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_GrowthFund* GetSingleton();
	static void Release();
private:
	std::map<int, M_GrowthFundData> mMapData;
};
